## scalable-cyrfonts 3.1

=== Makefile ===
#    Copyright (C) 2000,2001 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/sh

all:	build

unpack:
	-mkdir afm pfb doc
	cd TopTeam && $(MAKE) -i afm
	cd TopTeam && $(MAKE) -i pfb
	cd TopTeam && $(MAKE) -i doc
	cd URW-Val && $(MAKE) -i afm
	cd URW-Val && $(MAKE) -i pfb
	cd URW-Val && $(MAKE) -i doc
	cd OldSlavic && $(MAKE) -i afm
	cd OldSlavic && $(MAKE) -i pfb
	cd OldSlavic && $(MAKE) -i doc

fonts.alias:	fonts-alias.m4
	m4 fonts-alias.m4 >fonts.alias

fonts.scale:	fonts-scale.m4
	m4 fonts-scale.m4 | wc -l | tr -d '[:blank:]' >fonts.scale
	m4 fonts-scale.m4 >>fonts.scale

build:	unpack fonts.alias fonts.scale
	cd fontinst && $(MAKE) -i all
	touch build

clean:
	-rm -f unpack makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
	-rm -rf *~
	-cd BlackCat && $(MAKE) -i clean
	-cd TopTeam && $(MAKE) -i clean
	-cd URW-Val && $(MAKE) -i clean
	-cd OldSlavic && $(MAKE) -i clean
	-cd fontinst && $(MAKE) -i clean
	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
	-rm fonts.alias fonts.scale Fontmap
	-cd BlackCat && $(MAKE) -i clean
	-cd TopTeam && $(MAKE) -i clean
	-cd URW-Val && $(MAKE) -i clean
	-cd OldSlavic && $(MAKE) -i clean
	-cd fontinst && $(MAKE) -i clean

checkroot:
	test root = "`whoami`"

.PHONY:	clean checkroot

=== OldSlavic/Makefile ===
#    Copyright (C) 2000,2001,2002 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/sh -e

FontsDir = fonts

all:
	echo "Make what?"
	exit 1

unpack:
	-rm -rf fonts
	mkdir fonts
	tar jxf oldslavic.tar.bz2 -C fonts
	touch unpack

afm: unpack
	set -e && \
	for i in $(FontsDir)/*.afm; do \
		sed	-e 's/\(^ *FontName  *NimbusRom\)No9/\1/' \
			-e 's/\(^ *FontName  *[^ -]*\)L-/\1CYR-/' \
		$$i | ../trafm >../afm/`basename $$i`; \
	done
	touch afm

raw1: unpack
	mkdir tmp
	set -e && \
	for i in $(FontsDir)/*.pfb; do \
		t1disasm $$i >tmp/`basename $$i .pfb`.raw1; \
	done
	touch raw1

raw2: raw1
	set -e && \
	for i in tmp/*.raw1; do \
		sed 	-e 's/^\(%!PS-AdobeFont[^ ]* *[^- ]*\)L-/\1CYR-/' \
			-e 's/^\( *\/FontName[^ ]* *[^- ]*\)L-/\1CYR-/' \
			-e 's/\(NimbusRom\)No9/\1/' \
		$$i >tmp/`basename $$i .raw1`.raw2; \
	done
	touch raw2

raw3: raw2 afm
	set -e && \
	for i in tmp/*.raw2; do \
		../trtype1 ../afm/`basename $$i .raw2`.afm \
			$$i >tmp/`basename $$i .raw2`.raw3; \
	done
	touch raw3

pfa: raw3
	set -e && \
	for i in tmp/*.raw3; do \
		t1asm -a $$i >../pfa/`basename $$i .raw3`.pfa; \
	done
	touch pfa

pfb: raw3
	set -e && \
	for i in tmp/*.raw3; do \
		t1asm $$i >../pfb/`basename $$i .raw3`.pfb; \
	done
	touch pfb

doc:
	cp fonts/README ../doc/README.OldSlavic
	touch doc

clean:
	-rm -f unpack afm raw1 raw2 raw3 pfa pfb doc
	-rm *~
	-rm -rf fonts tmp

.PHONY:	clean

=== TopTeam/Makefile ===
#    Copyright (C) 2000,2001 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/sh -e

FontsDir = teams/Teams

all:
	echo "Make what?"
	exit 1

unpack:
	-rm -rf teams
	tar zxf teams-1.1.tar.gz
	touch unpack

afm: unpack
	set -e; \
	for i in $(FontsDir)/*.afm; do \
		sed	-e 's/\(^ *FontName  *NimbusRom\)No9/\1/' \
			-e 's/\(^ *FontName  *Nimbus[^-]*\)L-/\1WINC-/' \
		$$i >../afm/`basename $$i|tr '[:upper:]' '[:lower:]'`; \
	done
	touch afm

raw1: unpack
	mkdir tmp
	set -e; \
	for i in $(FontsDir)/*.pfa; do \
		t1disasm $$i >tmp/`basename $$i .pfa|tr '[:upper:]' '[:lower:]'`.raw1; \
	done
	touch raw1

raw2: raw1
	set -e; \
	for i in tmp/*.raw1; do \
		sed 	-e 's/^\(%!PS-AdobeFont.*Nimbus[^-]*\)L-/\1WINC-/' \
			-e 's/^\( *FontDirectory.*Nimbus[^-]*\)L-/\1WINC-/' \
			-e 's/^\( *FontDirectory.*Nimbus[^-]*\)L-/\1WINC-/' \
			-e 's/^\( *\/FontName.*Nimbus[^-]*\)L-/\1WINC-/' \
			-e 's/\(NimbusRom\)No9/\1/' \
		$$i >tmp/`basename $$i .raw1`.raw2; \
	done
	touch raw2

pfa: raw2
	set -e; \
	for i in tmp/*.raw2; do \
		t1asm -a $$i >../pfa/`basename $$i .raw2`.pfa; \
	done
	touch pfa

pfb: raw2
	set -e; \
	for i in tmp/*.raw2; do \
		t1asm $$i >../pfb/`basename $$i .raw2`.pfb; \
	done
	touch pfb

doc:
	mkdir ../doc/TopTeam
	cp teams/doc/* ../doc/TopTeam
	touch doc

clean:
	-rm -f unpack afm raw1 raw2 pfa pfb doc
	-rm *~
	-rm -rf teams tmp

.PHONY:	clean

=== URW-Val/Makefile ===
#    Copyright (C) 2000,2001,2002 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/sh -e

FontsDir = fonts

all:
	echo "Make what?"
	exit 1

unpack:
	-rm -rf fonts
	mkdir fonts
	tar jxf urw-fonts-1.0.7pre4.tar.bz2 -C fonts
	touch unpack

afm: unpack
	set -e && \
	for i in $(FontsDir)/*.afm; do \
		sed	-e 's/\(^ *FontName  *NimbusRoman\)No9/\1/' \
			-e 's/\(^ *FontName  *\)URWChanceryLL-/\1ChanceryCYR-/' \
			-e 's/\(^ *FontName  *[^ -]*\)L-/\1CYR-/' \
		$$i | ../trafm >../afm/`basename $$i l.afm`d.afm; \
	done
	touch afm

raw1: unpack
	mkdir tmp
	set -e && \
	for i in $(FontsDir)/*.pfb; do \
		t1disasm $$i >tmp/`basename $$i l.pfb`d.raw1; \
	done
	touch raw1

raw2: raw1
	set -e && \
	for i in tmp/*.raw1; do \
		sed 	-e 's/^\(%!PS-AdobeFont[^ ]* *[^- ]*\)L-/\1CYR-/' \
			-e 's/URWChanceryLL/ChanceryCYR/' \
			-e 's/^\( *\/FontName[^ ]* *[^- ]*\)L-/\1CYR-/' \
			-e 's/\(NimbusRoman\)No9/\1/' \
		$$i >tmp/`basename $$i .raw1`.raw2; \
	done
	touch raw2

raw3: raw2 afm
	set -e && \
	for i in tmp/*.raw2; do \
		../trtype1 ../afm/`basename $$i .raw2`.afm \
			$$i >tmp/`basename $$i .raw2`.raw3; \
	done
	touch raw3

pfa: raw3
	set -e && \
	for i in tmp/*.raw3; do \
		t1asm -a $$i >../pfa/`basename $$i .raw3`.pfa; \
	done
	touch pfa

pfb: raw3
	set -e && \
	for i in tmp/*.raw3; do \
		t1asm $$i >../pfb/`basename $$i .raw3`.pfb; \
	done
	touch pfb

doc:
	cp fonts/README ../doc/README.URW-Val
	cp fonts/Changelog ../doc/changelog.URW-Val
	cp fonts/TODO ../doc/TODO.URW-Val
	touch doc

clean:
	-rm -f unpack afm raw1 raw2 raw3 pfa pfb doc
	-rm *~
	-rm -rf fonts tmp

.PHONY:	clean

=== fontinst/Makefile ===
#    Copyright (C) 2001,2002 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

# We need to overwrite the standard texmf.cnf in order to generate
#    hugelatex.fmt
TEXMFCNF=.:/etc/texmf
export TEXMFCNF

SHELL = /bin/sh

GSFONTS = /usr/share/fonts/type1/gsfonts

CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst

TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
TEXENCS = OT1 T1 TS1 T2A T2B T2C

#################################################################

all:	plvplfd tfmvf cyrfonts.map

cyrfonts.map:	cyrfonts-map.m4
	m4 cyrfonts-map.m4 >cyrfonts.map

.PHONY: clean
clean:
	-rm -f latex_mtx latex_fonts copyafms tfmvf
	-rm -f $(finst_myfiles)
	-rm -f makefonts.tex cyrfonts.map
	-rm -f $(face_enc_tex) $(face_mtx_tex)
	-rm -f *.etx *.mtx fnstcorr.tex cyralias.tex
	-rm -f *.afm *.pl *.tfm *.mtx *.fd *.vpl *.vf *.log
	-rm -f *~
	-rm -f hugelatex.fmt hugelatex.log hugelatex.aux texsys.aux

hugelatex.fmt:
	initex '\input hugelatex.ini \dump'

face_mtx_tex = $(TEXFACES:%=%-mtx.tex)

$(face_mtx_tex) : face = $(@:%-mtx.tex=%)
$(face_mtx_tex) : makemtx.perl
	perl makemtx.perl $(face) 6w >$@

face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))

$(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
$(face_enc_tex) : face = $(subst /,,$(dir $(face_enc)))
$(face_enc_tex) : enc = $(notdir $(face_enc))
$(face_enc_tex): makefonts.perl latex_mtx
	perl makefonts.perl $(face) $(enc) >$@

latex_mtx: copyall $(face_mtx_tex)
	set -e && for i in $(face_mtx_tex); do\
		latex $$i; \
	done
	touch latex_mtx

latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
	set -e && for i in $(face_enc_tex); do\
		virtex \&hugelatex $$i; \
	done
	touch latex_fonts

cyrfinstfiles = $(wildcard \
		$(CYRFINST)/*.etx \
		$(CYRFINST)/derivatives/*.etx \
		$(CYRFINST)/cyrillic.mtx \
		$(CYRFINST)/etc/fnstcorr.tex \
		$(CYRFINST)/etc/cyralias.tex \
		../6r.etx \
		)

finst_myfiles = $(notdir $(cyrfinstfiles))

$(finst_myfiles): $(cyrfinstfiles)
	cp $(cyrfinstfiles) .

copyafms:
	cp $(GSFONTS)/s050000l.afm psyr.afm
	../shortenafm ../afm/teams.afm >ftar6w.afm
	../shortenafm ../afm/teamsb.afm >ftab6w.afm
	../shortenafm ../afm/teamsi.afm >ftaro6w.afm
	../shortenafm ../afm/teamsbi.afm >ftabo6w.afm
	../shortenafm ../afm/n019003d.afm >fhvr6w.afm
	../shortenafm ../afm/n019004d.afm >fhvb6w.afm
	../shortenafm ../afm/n019023d.afm >fhvro6w.afm
	../shortenafm ../afm/n019024d.afm >fhvbo6w.afm
	../shortenafm ../afm/n021003d.afm >ftmr6w.afm
	../shortenafm ../afm/n021004d.afm >ftmb6w.afm
	../shortenafm ../afm/n021023d.afm >ftmri6w.afm
	../shortenafm ../afm/n021024d.afm >ftmbi6w.afm
	../shortenafm ../afm/n022003d.afm >fcrr6w.afm
	../shortenafm ../afm/n022004d.afm >fcrb6w.afm
	../shortenafm ../afm/n022023d.afm >fcrro6w.afm
	../shortenafm ../afm/n022024d.afm >fcrbo6w.afm
	../shortenafm ../afm/a010013d.afm >fagr6w.afm
	../shortenafm ../afm/a010015d.afm >fagb6w.afm
	../shortenafm ../afm/a010033d.afm >fagro6w.afm
	../shortenafm ../afm/a010035d.afm >fagbo6w.afm
	../shortenafm ../afm/b018012d.afm >fbkr6w.afm
	../shortenafm ../afm/b018015d.afm >fbkb6w.afm
	../shortenafm ../afm/b018032d.afm >fbkri6w.afm
	../shortenafm ../afm/b018035d.afm >fbkbi6w.afm
	../shortenafm ../afm/c059013d.afm >fncr6w.afm
	../shortenafm ../afm/c059016d.afm >fncb6w.afm
	../shortenafm ../afm/c059033d.afm >fncri6w.afm
	../shortenafm ../afm/c059036d.afm >fncbi6w.afm
	../shortenafm ../afm/p052003d.afm >fplr6w.afm
	../shortenafm ../afm/p052004d.afm >fplb6w.afm
	../shortenafm ../afm/p052023d.afm >fplri6w.afm
	../shortenafm ../afm/p052024d.afm >fplbi6w.afm
	../shortenafm ../afm/OldSlavicRegu.afm >fsjr6w.afm
	../shortenafm ../afm/z003034d.afm >fzcri6w.afm
	touch copyafms

copyall: $(finst_myfiles) copyafms

plvplfd: latex_fonts

tfmvf:	plvplfd
	rm p*.pl p*.vpl p*.tfm p*.vf
	for f in *.vpl; do vptovf $$f; done
	for f in *.pl; do pltotf $$f; done
	touch tfmvf

.PHONY: checkroot
checkroot:
	test root = "`whoami`"

=== debian/changelog ===
scalable-cyrfonts (3.1) unstable; urgency=low

  * New upstream release of URW fonts with new (alpha-version) font
    Chancery.  New font OldSlavic.
  * The TeX support was rewritten.  Now it is more flexible.
  * Added Build-Depends-Indep on m4.
  * Supports Defoma.
  * The fontencoding X2 was removed because it doesn't work properly. 

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 21 Feb 2002 22:21:26 +0200

scalable-cyrfonts (3.0) unstable; urgency=low

  * Added new 8 fonts by Valek Fillipov.
  * The fonts from BlackCat Linux are removed.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 30 Oct 2001 22:31:49 +0200

scalable-cyrfonts (2.3) unstable; urgency=low

  * Fixed wrong count of fonts in fonts.scale.  Now the count is
    authomatically computable.
  * First version with support for Unicode.
  * scalable-cyrfonts-tex: cyrfonts.map wrongly used pfa fonts, but since
    version 2.2 the package contains pfb fonts.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 23 Jun 2001 11:49:22 +0300

scalable-cyrfonts (2.2) unstable; urgency=low

  * Fixed a typo in fonts-scale.m4 which caused bad formated fonts.scale.
  * Changed GSFONTS and RELATIVE_GSFONTS because the fonts in gsfonts
    changed their place.  Build-Depend-Indep on gsfonts (6.0-2).
  * scalable-cyrfonts-x11: Times, Helvetica and Courier are not provided
    via fonts.alias but in fonts.{dir,scale}.
  * scalable-cyrfonts-x11: Helvetica and Courier have oblique variants but
    not italic and Times has only italic but not oblique.
  * PFB fonts instead of PFA.
  * scalable-cyrfonts conflicts with older versions of
    scalable-cyrfonts-{x11,tex}.  scalable-cyrfonts-{x11,tex} require the
    same version of scalable-cyrfonts.
  * Symlinks of AFM files are added in scalable-cyrfonts-x11.
  * I haven't had a time to make use of defoma. :-(

 -- Anton Zinoviev <zinoviev@debian.org>  Fri,  8 Jun 2001 11:32:10 +0300

scalable-cyrfonts (2.1) unstable; urgency=low

  * Adapted to use debhelper.
  * Some changes because of the changes in tetex-src package.
  * Double exclamation signs in *.scale and *.alias files.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  2 May 2001 23:14:29 +0300

scalable-cyrfonts (2.0) unstable; urgency=low

  * First upload to Debian.
  * Complete remake of the TeX part.  Used fontinst instead of
    afm2tfm.
  * The package is made multibinary: scalable-cyrfonts,
    scalable-cyrfonts-tex and scalable-cyrfonts-x11.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 11 Feb 2001 17:11:19 +0200

scalable-cyrfonts (1.0) unstable; urgency=low

  * First version.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 5 Feb 2001 23:31:35 +0200

=== debian/control ===
Source: scalable-cyrfonts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: text
Priority: optional
Standards-Version: 3.1.1.1
Build-Depends-Indep: xutils, tetex-base, tetex-bin, tetex-src (>= 1.0.1+20000804-1), gsfonts (>= 6.0-2), tar (>= 1.13.18), t1utils, sysutils, debhelper (>= 3), defoma (>= 0.7.0), m4

Package: scalable-cyrfonts
Architecture: all
Description: scalable Cyrillic fonts
 This package includes Cyrillic Type1 fonts for the following font
 families: Times, Helvetica, Courier, Avant Garde, Palatino, New
 Century Schoolbook, Bookman Light and Teams.
Section: text
Priority: optional
Depends: defoma (>= 0.5.0)
Conflicts: scalable-cyrfonts-tex (<< 2.2), scalable-cyrfonts-x11 (<< 2.2)

Package: scalable-cyrfonts-tex
Architecture: all
Description: scalable Cyrillic fonts for TeX
 This package makes the fonts from the package scalable-cyrfonts
 available to TeX.  It installs all needed TeX font metric files,
 virtual fonts, font definitions and some style packages.
 .
 Please read the file /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
Section: tex
Priority: optional
Depends: scalable-cyrfonts (= 3.1), tetex-base, tetex-bin

Package: scalable-cyrfonts-x11
Architecture: all
Description: scalable Cyrillic fonts for X
 This package makes the fonts from the package scalable-cyrfonts
 available to the X server or font server.
 .
 For proper reencoding it needs capable X server or font server.
Section: x11
Priority: optional
Depends: scalable-cyrfonts (= 3.1), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0)

=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000,2001 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

DH_COMPAT=3
export DH_COMPAT

# We need a very large TeX...
TEXMFCNF=.:/etc/texmf
export TEXMFCNF

SHELL = /bin/sh
package = scalable-cyrfonts
RELATIVE_GSFONTS = share/fonts/type1/scalable-cyrfonts
GSFONTS = /usr/$(RELATIVE_GSFONTS)
TEXMFROOT = usr/share/texmf
XFONTS = usr/X11R6/lib/X11/fonts

build:
	dh_testdir
	$(MAKE)
	-rm -rf fontinst2
	mkdir fontinst2
	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
	-rm fontinst2/psyr*
	./hintfile.awk <fontinfo >debian/scalable-cyrfonts.defoma-hints
	touch build

clean:
	dh_testdir
	-$(MAKE) clean
	-rm -rf fontinst2
	-rm build firstbuild
	-rm debian/*.defoma-hints
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d debian/scalable-cyrfonts/$(GSFONTS)
	cp pfb/* debian/scalable-cyrfonts/$(GSFONTS)/
	cp afm/* debian/scalable-cyrfonts/$(GSFONTS)/
# tex
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
	cp fontinst/cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(package)-tex
	cd pfb; for i in *.pfb; do \
		ln -s ../../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(package)-tex/; \
	done
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(package)-tex
	cd afm; for i in *.afm; do \
		ln -s ../../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(package)-tex; \
	done
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(package)-tex
	cp fontinst/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(package)-tex/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(package)-tex
	cp fontinst/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(package)-tex/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
	cp fontinst/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
	cp fontinst/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
# x11
	install -d debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1
	cp fonts.scale debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1/$(package)-x11.scale
	cp fonts.alias debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1/$(package)-x11.alias
	install -d debian/scalable-cyrfonts-x11/usr/X11R6/lib/X11/fonts/Type1
	cd pfb; for i in *.pfb; do \
		ln -s ../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-x11/$(XFONTS)/Type1/; \
	done
	cd afm; for i in *.afm; do \
		ln -s ../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-x11/$(XFONTS)/Type1/; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
#	dh_installdefoma
	install -D -m 644 debian/scalable-cyrfonts.defoma-hints debian/scalable-cyrfonts/etc/defoma/hints/scalable-cyrfonts.hints
	dh_installdocs doc/* debian/test.pdf
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

#.PHONY: build clean binary-indep binary-arch binary install

## scalable-cyrfonts 4.3

=== Makefile ===
#    Copyright (C) 2000,2001,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/bash

all:	build

unpack:
	-mkdir fonts
	-mkdir teams
	tar zxf teams-1.1.tar.gz -C teams
	cp teams/teams/Teams/*.{pfa,afm} fonts
	-mkdir urw
	tar jxf urw-fonts-1.0.7pre10-src.tar.bz2 -C urw
	for i in urw/*.sfd; do \
		cp $$i fonts/`basename $$i l.sfd`d.sfd; \
	done
	-mkdir oldslavic
	tar jxf oldslavic.tar.bz2 -C oldslavic
	cp oldslavic/*.{afm,pfb} fonts
	touch unpack

convert: unpack
	-mkdir texfonts
	./convert_fonts
	touch convert

t1-cyrillic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-oldslavic <hintinfo >$@

t1-cyrillic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-oldslavic <hintinfo >$@

fonts.alias: t1-cyrillic-fonts.alias t1-teams-fonts.alias t1-oldslavic-fonts.alias 

fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 

build:	convert fonts.alias fonts.scale cyrfonts.map
	cd fontinst && $(MAKE) all
	touch build

cyrfonts.map:	hint.awk hintinfo
	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >cyrfonts.map

clean:
	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
	-rm -rf *~
	-rm -rf teams urw oldslavic fonts
	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
	-rm -f *fonts.alias *fonts.scale Fontmap cyrfonts.map
	-rm -rf fontinst/*.pfb fontinst/*.pfa
	-cd fontinst && $(MAKE) clean
	-rm -rf texfonts/ cidfonts/

checkroot:
	test root = "`whoami`"

.PHONY:	clean checkroot

=== fontinst/Makefile ===
#    Copyright (C) 2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

# We need to overwrite the standard texmf.cnf in order to
# generate hugelatex.fmt
TEXMFCNF=.
export TEXMFCNF

SHELL = /bin/sh

GSFONTS = /usr/share/fonts/type1/gsfonts

CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst

TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
TEXENCS = OT1 T1 TS1 T2A T2B T2C

#################################################################

all: plvplfd tfmvf

cyrfinstfiles = $(wildcard \
		$(CYRFINST)/*.etx \
		$(CYRFINST)/derivatives/*.etx \
		$(CYRFINST)/cyrillic.mtx \
		$(CYRFINST)/etc/fnstcorr.tex \
		$(CYRFINST)/etc/cyralias.tex \
		)

finst_myfiles = $(notdir $(cyrfinstfiles))

$(finst_myfiles): $(cyrfinstfiles)
	cp $(cyrfinstfiles) .
# If we use the original 6r.etx we have to distribute the corresponding
# 6r.enc.  Its copiright however is not specified.
	cp ../6r.etx . 

cyrfontinst: $(finst_myfiles)

copyafms:
	cp $(GSFONTS)/s050000l.afm psyr.afm
	for j in ../texfonts/*.afm; do \
		../shortenafm $$j >`basename $$j`; \
	done
	touch copyafms

copyall: $(finst_myfiles) copyafms
	touch copyall

face_mtx_tex = $(TEXFACES:%=%-mtx.tex)

$(face_mtx_tex) : face = $(@:%-mtx.tex=%)
$(face_mtx_tex) : makemtx.perl
	perl makemtx.perl $(face) 8a 6w >$@

latex_mtx: copyall $(face_mtx_tex)
	set -e && for i in $(face_mtx_tex); do\
		latex $$i; \
	done
	touch latex_mtx

hugelatex.fmt:
	initex '\input hugelatex.ini \dump'

face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))
$(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
$(face_enc_tex) : face = $(subst /,,$(dir $(face_enc)))
$(face_enc_tex) : enc = $(notdir $(face_enc))
$(face_enc_tex): makefonts.perl latex_mtx
	perl makefonts.perl $(face) $(enc) >$@

latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
	set -e && for i in $(face_enc_tex); do\
		virtex \&hugelatex $$i; \
	done
	touch latex_fonts

plvplfd: latex_fonts
	touch plvplfd

tfmvf:	plvplfd
	-rm psy*.pl psy*.vpl psy*.tfm psy*.vf
	for f in *.vpl; do vptovf $$f; done
	for f in *.pl; do pltotf $$f; done
	touch tfmvf

.PHONY: clean
clean:
	-rm -f latex_mtx latex_fonts copyafms tfmvf copyall plvplfd
	-rm -f $(finst_myfiles)
	-rm -f makefonts.tex cyrfonts.map
	-rm -f $(face_enc_tex) $(face_mtx_tex)
	-rm -f *.etx *.mtx fnstcorr.tex cyralias.tex
	-rm -f *.afm *.pl *.tfm *.mtx *.fd *.vpl *.vf *.log
	-rm -f *~
	-rm -f hugelatex.fmt hugelatex.log hugelatex.aux texsys.aux

=== urwsr/Makefile ===
%.sfd: sr-%.sfd orig/%.sfd merge
	@cp sr-$@ $@ && \
	./merge $@ 2>/dev/null

%.ttf: %.sfd
	@echo -n "Generating $@ ... "; \
	(./gen `echo $@ | sed 's+ttf$$+sfd+'` $@  2>/dev/null && echo "done") || echo "error"

%.pfb: %.sfd
	@echo -n "Generating $@ ... "; \
	(./gen `echo $@ | sed 's+pfb$$+sfd+'` $@  2>/dev/null && echo "done") || echo "error"

all: gothic bookman century nimbus palladio chancery

gothic: a010013l.ttf a010015l.ttf a010033l.ttf a010035l.ttf

bookman: b018012l.ttf b018015l.ttf b018032l.ttf b018035l.ttf

century: c059013l.ttf c059016l.ttf c059033l.ttf c059036l.ttf

nimbus-sans: n019003l.ttf n019004l.ttf n019023l.ttf n019024l.ttf

nimbus-sans-cond: n019043l.ttf n019044l.ttf n019063l.ttf n019064l.ttf

nimbus-roman: n021003l.ttf n021004l.ttf n021023l.ttf n021024l.ttf

nimbus-mono: n022003l.ttf n022004l.ttf n022023l.ttf n022024l.ttf

nimbus: nimbus-sans nimbus-sans-cond nimbus-roman nimbus-mono

palladio: p052003l.ttf p052004l.ttf p052023l.ttf p052024l.ttf

palladio-ps: p052003l.pfb p052004l.pfb p052023l.pfb p052024l.pfb

chancery: z003034l.ttf

psfonts: \
     a010013l.pfb a010015l.pfb a010033l.pfb a010035l.pfb \
     b018012l.pfb b018015l.pfb b018032l.pfb b018035l.pfb \
     c059013l.pfb c059016l.pfb c059033l.pfb c059036l.pfb \
     n019003l.pfb n019004l.pfb n019023l.pfb n019024l.pfb \
     n019043l.pfb n019044l.pfb n019063l.pfb n019064l.pfb \
     n021003l.pfb n021004l.pfb n021023l.pfb n021024l.pfb \
     n022003l.pfb n022004l.pfb n022023l.pfb n022024l.pfb \
     p052003l.pfb p052004l.pfb p052023l.pfb p052024l.pfb \
     z003034l.pfb

clean:
	rm -f *.ttf *.enc *.tfm *.afm *.pfm *.pfb *.sfd~

=== debian/changelog ===
scalable-cyrfonts (4.3) unstable; urgency=low

  * Add Serbian glyphs to the URW-based fonts.  Patch provided by Danilo
    Segan.  Thanks to Frank Murphy, closes: #230840.
  * Add stressed Cyrillic letter I to the fonts that miss it but have
    regular Cyrillic letter I and grave.  Thanks to Alexander Shopov,
    closes: #178399.
  * The fonts were registered to defoma with wrong paths.  Now they are
    moved from /usr/share/fonts/type1/t1-{cyrillic,teams,oldslavic} to
    /usr/share/fonts/type1/{cyrillic,teams,oldslavic}.  This fixes the
    broken links in /var/lib/defoma. 
  * New target in debian/rules to create tar.gz package with the fonts.
    The fonts in Debian differ from upstream and it makes sence to
    create a package for non-Debian users.  I added also a target for zip
    package with fonts for MS Windows.  Add build-depends on zip and
    sysutils (for /usr/bin/todos).
  
 -- Anton Zinoviev <zinoviev@debian.org>  Fri,  7 May 2004 14:23:43 +0300

scalable-cyrfonts (4.2) unstable; urgency=low

  * Removed the gliphs for Cyrillic letters dje and tshe (small and
    capital).  Thanks to Stefan Baums (closes: #227646).

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 21 Jan 2004 13:48:33 +0200

scalable-cyrfonts (4.1) unstable; urgency=low

  * The location of the default texmf.cnf file in recent Debian TeX
    packages changed from /etc/texmf to /var/lib/texmf/web2c, hence
    the value of TEXMFCNF in fontinst/Makefile should be changed.  Bun in
    order to avoid future problems in case that the location of
    texmf.cnf again changes I decided to include some example texmf.cnf in
    fontinst/texmf.cnf.  Now scalable-cyrfonts doesn't depend on the
    Debian system texmf.cnf during its compilation.  Thanks to Daniel
    Schepler (closes: #209017).
	
 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 19 Sep 2003 14:09:37 +0300

scalable-cyrfonts (4.0) unstable; urgency=low

  * New binary packages to follow the usual in Debian font package
    naming policy (fontformat-family).  The old scalable-cyrfonts is
    replaced by t1-cyrillic, t1-teams and t1-oldslavic.
  * The old scalable-cyrfonts-x11 is removed.  For now the font
    packages depend on xutils because I don't want to double them (as
    the packages gsfonts and gsfonts-x11).  In future this dependency can
    be removed when the postinst of xutils cares to update the Type1 font
    directory by itself or some package symilar to x-ttcidfont-conf is
    used. 
  * The fontnames are changed in order to avoid possible trademark
    infringements as this was suggested in debian-legal.  The word
    `Free' ensures uniqueness of our names and the other part of the
    names are English words (which ensures they are not registered).
  * New upstream release of the URW fonts.  The new Courier fonts
    (packaged as `Free Courier') have `isFixedPitch true' in their
    FontInfo dictionary.  Thanks to Juliusz Chroboczek (closes: #177917).
  * The source package contains .sfd rather than .pfb fonts.  They are
    automaticaly converted to .pfb format by pfaedit.
  * Type1 fonts preserve their original encoding.  In former packages they
    were reencoded to cp1251 because StarOffice 5.1 needed such encoding.
  * Fixed non-existing font in fonts.alias of the former package
    scalable-cyrfonts-x11. 
  * The build dependencies are properly classified into Build-Depends
    and Build-Depends-Indep.  Thanks to Junichi Uekawa (closes: #158349).
  * The TeX support is on different princible.  Now there is much better
    support for the latin TeX encodings (OT1 and T1).
  * The family of the narrowed versions of Helvetian is `Free Helvetian
    Condensed' instead of `Free Helvetian' with width `condensed'.  This
    is so because many applications seam to ignore fonts with width !=
    normal when fonts with width == normal are present. 
  * postinst and postrm of t1-* invoke xftcache and fc-cache if present.
  * Updated `Standards-Version': 3.5.10.
	
 -- Anton Zinoviev <zinoviev@debian.org>  Mon,  9 Jun 2003 10:43:59 +0200

scalable-cyrfonts (3.2) unstable; urgency=low

  * Added Build-Depends-Indep on bzip2, thanks to Junichi Uekawa.
    Closes: #142101.
  * Updated Standards-Version: 3.5.6.1.
  * Use dh_link instead of ln -s in the rules file in order to avoid
    lengthy symlinks (too many ../../..).

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  2 Jun 2002 22:15:57 +0300

=== debian/control ===
Source: scalable-cyrfonts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: text
Priority: optional
Standards-Version: 3.5.10
Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, pfaedit (>=0.0.20020312-1), gsfonts, tetex-bin, tetex-src (>=1.0.2+20021025-1), zip, sysutils
Build-Depends-Indep: defoma (>= 0.7.0)

Package: t1-cyrillic
Architecture: all
Description: A basic set of free PostScript fonts
 This package includes free Type1 fonts for the following font
 families: Free Times, Free Helvetian, Free Helvetian Condensed, Free
 Courier, Free Avant Garde, Free Paladin, Free Schoolbook, Free
 Bookman and Free Chancery.
 .
 These fonts cover the Latin1 and Latin2 character sets and partially
 the most popular Cyrillic character sets.
 .
 The fonts look like the fonts in the Adobe basic set of PostScript
 fonts, but the font names are customized to avoid any trademark
 infringements.
Section: x11
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-teams
Architecture: all
Description: Teams -- a PostScript font covering ASCII and basic Cyrillic
 This is a Type1 font family (with regular, bold, slanted and
 slanted-bold faces) developed by TopTeam Co. -- a Bulgarian
 publishing house.  They use it to publish their newspapers and
 magazines.
 .
 These fonts cover only the English Latin characters and the
 Bulgarian and Russian Cyrillic characters.
Section: x11
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-oldslavic
Architecture: all
Description: OldSlavic -- a Cyrillic Type1 font with medieval design
 The letters in this font resemble the look of the the medieval
 Cyrillic printed books.
 .
 This font is not for general use.  It contains only the basic
 Cyrillic and Latin letters; there are almost no punctuation signs in
 it.
Section: text
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: scalable-cyrfonts-tex
Architecture: all
Description: Scalable Cyrillic fonts for TeX
 This package makes the fonts from the package scalable-cyrfonts
 available to TeX.  It installs all needed TeX font metric files,
 virtual fonts, font definitions and some style packages.
 .
 Please read the file /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
Section: tex
Priority: optional
Depends: tetex-base, tetex-bin

=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000,2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

DH_COMPAT=3
export DH_COMPAT

SHELL = /bin/bash
TEXMFROOT = usr/share/texmf
PSFONTSROOT = /usr/share/fonts/type1
TTFFONTS = usr/share/fonts/truetype
CIDFONTS = usr/share/fonts/CID
XFONTS = /usr/X11R6/lib/X11/fonts
TYPE1FORMAT = pfb
texpackage = scalable-cyrfonts-tex

build:
	dh_testdir
	-rm -f installdirs
	$(MAKE)
	-rm -rf fontinst2
	mkdir fontinst2
	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
	-rm fontinst2/psyr*
	touch build

clean:
	dh_testdir
	-$(MAKE) clean
	-rm -rf fontinst2
	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
	-rm -f build firstbuild
	-rm -f debian/*.defoma-hints
	-rm -f installdirs
	dh_clean

cyrfonts-X.tar.gz: install-X
	tar cf cyrfonts-X.tar -C debian cyrfonts-X
	gzip -9 cyrfonts-X.tar

cyrfonts-win.zip: install-win
	zip -j cyrfonts-win.zip debian/cyrfonts-win/*

install-base: package = t1-cyrillic
install-base: fontdir = cyrillic
install-teams: package = t1-teams
install-teams: fontdir = teams
install-oldslavic: package = t1-oldslavic
install-oldslavic: fontdir = oldslavic

install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)

fontnames = $(addprefix fonts/, $(addsuffix .$(TYPE1FORMAT), $(fontbasenames)))
afmnames = $(addprefix fonts/, $(addsuffix .afm, $(fontbasenames)))
fonts = $(fontnames) $(afmnames)

install-base install-teams install-oldslavic: installdirs
	awk -f hint.awk -v cat=type1 -v pkg=$(package) <hintinfo >debian/$(package).defoma-hints
	install -d debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
	install -d debian/$(package)/etc/X11/fonts/Type1
	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias
	for j in $(fonts) ; do \
		i=`basename $$j`; \
		dh_link -p$(package) $(PSFONTSROOT)/$(fontdir)/$$i $(XFONTS)/Type1/$$i; \
	done

install-X: installdirs
	install -d debian/cyrfonts-X/
	cp fonts/*.{pfb,afm} debian/cyrfonts-X/
	tail -n +2 -q *.scale | wc -l >debian/cyrfonts-X/fonts.scale
	tail -n +2 -q *.scale >>debian/cyrfonts-X/fonts.scale
	cat *.alias >>debian/cyrfonts-X/fonts.alias
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-X/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-X/doc-$$pkg/; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-X/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-X

install-win: installdirs
	install -d debian/cyrfonts-win/
	cp fonts/*.{ttf,pfm} debian/cyrfonts-win/
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-win/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-win/doc-$$pkg/; \
			todos debian/cyrfonts-win/doc-$$pkg/$$file ; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-win/COPYRIGHT
	todos debian/cyrfonts-win/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-win
	todos debian/cyrfonts-win/GPL

install-tex: installdirs
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
	cp cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	cp texfonts/*.afm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
	cp fontinst2/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
	cp fontinst2/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
	cp fontinst2/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
	cp fontinst2/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/

install: install-base install-teams install-oldslavic install-tex

installdirs: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installdefoma
	dh_installdocs
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

#.PHONY: build clean binary-indep binary-arch binary install
